Odoo 도움말

0

0
2 응답
2
Avatar

Manish Kumar Bohra India

--Manish Kumar Bohra--
11853
| 6 5 10
Bikaner, India
--Manish Kumar Bohra--


Manish Kumar Bohra India
17. 10. 25. 오전 8:00

Hello,

install hr module because your module are related or depended on  hr module i hope it's help you

0
Adam Leszczyński Poland
18. 6. 13. 오후 5:23

Błąd:

Odoo Server Error


Traceback (most recent call last):

  File "/usr/lib/python3/dist-packages/odoo/tools/cache.py", line 84, in lookup

    r = d[key]

  File "/usr/lib/python3/dist-packages/odoo/tools/func.py", line 68, in wrapper

    return func(self, *args, **kwargs)

  File "/usr/lib/python3/dist-packages/odoo/tools/lru.py", line 44, in __getitem__

    a = self.d[obj].me

KeyError: ('ir.model.data', <function IrModelData.xmlid_lookup at 0x7f55dcb85378>, 'base.user_demo')


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

  File "/usr/lib/python3/dist-packages/odoo/tools/convert.py", line 744, in parse

    self._tags[rec.tag](rec, de, mode=mode)

  File "/usr/lib/python3/dist-packages/odoo/tools/convert.py", line 642, in _tag_record

    f_val = self.id_get(f_ref)

  File "/usr/lib/python3/dist-packages/odoo/tools/convert.py", line 727, in id_get

    res = self.model_id_get(id_str, raise_if_not_found)

  File "/usr/lib/python3/dist-packages/odoo/tools/convert.py", line 733, in model_id_get

    return self.env['ir.model.data'].xmlid_to_res_model_res_id(id_str, raise_if_not_found=raise_if_not_found)

  File "/usr/lib/python3/dist-packages/odoo/addons/base/ir/ir_model.py", line 1323, in xmlid_to_res_model_res_id

    return self.xmlid_lookup(xmlid)[1:3]

  File "<decorator-gen-21>", line 2, in xmlid_lookup

  File "/usr/lib/python3/dist-packages/odoo/tools/cache.py", line 89, in lookup

    value = d[key] = self.method(*args, **kwargs)

  File "/usr/lib/python3/dist-packages/odoo/addons/base/ir/ir_model.py", line 1312, in xmlid_lookup

    raise ValueError('External ID not found in the system: %s' % xmlid)

ValueError: External ID not found in the system: base.user_demo


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 650, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 310, in _handle_exception

    raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])

  File "/usr/lib/python3/dist-packages/odoo/tools/pycompat.py", line 87, in reraise

    raise value

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 692, in dispatch

    result = self._call_function(**self.params)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 342, in _call_function

    return checked_call(self.db, *args, **kwargs)

  File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 97, in wrapper

    return f(dbname, *args, **kwargs)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 335, in checked_call

    result = self.endpoint(*a, **kw)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 936, in __call__

    return self.method(*args, **kw)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 515, in response_wrap

    response = f(*args, **kw)

  File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 935, in call_button

    action = self._call_kw(model, method, args, {})

  File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 923, in _call_kw

    return call_kw(request.env[model], method, args, kwargs)

  File "/usr/lib/python3/dist-packages/odoo/api.py", line 689, in call_kw

    return call_kw_multi(method, model, args, kwargs)

  File "/usr/lib/python3/dist-packages/odoo/api.py", line 680, in call_kw_multi

    result = method(recs, *args, **kwargs)

  File "<decorator-gen-40>", line 2, in button_immediate_install

  File "/usr/lib/python3/dist-packages/odoo/addons/base/module/module.py", line 71, in check_and_log

    return method(self, *args, **kwargs)

  File "/usr/lib/python3/dist-packages/odoo/addons/base/module/module.py", line 448, in button_immediate_install

    return self._button_immediate_function(type(self).button_install)

  File "/usr/lib/python3/dist-packages/odoo/addons/base/module/module.py", line 541, in _button_immediate_function

    modules.registry.Registry.new(self._cr.dbname, update_module=True)

  File "/usr/lib/python3/dist-packages/odoo/modules/registry.py", line 85, in new

    odoo.modules.load_modules(registry._db, force_demo, status, update_module)

  File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 371, in load_modules

    loaded_modules, update_module, models_to_check)

  File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 265, in load_marked_modules

    perform_checks=perform_checks, models_to_check=models_to_check

  File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 175, in load_module_graph

    _load_data(cr, module_name, idref, mode, kind='demo')

  File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 95, in _load_data

    tools.convert_file(cr, module_name, filename, idref, mode, noupdate, kind, report)

  File "/usr/lib/python3/dist-packages/odoo/tools/convert.py", line 791, in convert_file

    convert_xml_import(cr, module, fp, idref, mode, noupdate, report)

  File "/usr/lib/python3/dist-packages/odoo/tools/convert.py", line 852, in convert_xml_import

    obj.parse(doc.getroot(), mode=mode)

  File "/usr/lib/python3/dist-packages/odoo/tools/convert.py", line 741, in parse

    self.parse(rec, mode)

  File "/usr/lib/python3/dist-packages/odoo/tools/convert.py", line 751, in parse

    exc_info[2]

  File "/usr/lib/python3/dist-packages/odoo/tools/pycompat.py", line 86, in reraise

    raise value.with_traceback(tb)

  File "/usr/lib/python3/dist-packages/odoo/tools/convert.py", line 744, in parse

    self._tags[rec.tag](rec, de, mode=mode)

  File "/usr/lib/python3/dist-packages/odoo/tools/convert.py", line 642, in _tag_record

    f_val = self.id_get(f_ref)

  File "/usr/lib/python3/dist-packages/odoo/tools/convert.py", line 727, in id_get

    res = self.model_id_get(id_str, raise_if_not_found)

  File "/usr/lib/python3/dist-packages/odoo/tools/convert.py", line 733, in model_id_get

    return self.env['ir.model.data'].xmlid_to_res_model_res_id(id_str, raise_if_not_found=raise_if_not_found)

  File "/usr/lib/python3/dist-packages/odoo/addons/base/ir/ir_model.py", line 1323, in xmlid_to_res_model_res_id

    return self.xmlid_lookup(xmlid)[1:3]

  File "<decorator-gen-21>", line 2, in xmlid_lookup

  File "/usr/lib/python3/dist-packages/odoo/tools/cache.py", line 89, in lookup

    value = d[key] = self.method(*args, **kwargs)

  File "/usr/lib/python3/dist-packages/odoo/addons/base/ir/ir_model.py", line 1312, in xmlid_lookup

    raise ValueError('External ID not found in the system: %s' % xmlid)

odoo.tools.convert.ParseError: "External ID not found in the system: base.user_demo" while parsing /usr/lib/python3/dist-packages/odoo/addons/calendar/data/calendar_demo.xml:31, near

<record id="calendar_event_2" model="calendar.event">

            <field name="active" eval="True"/>

            <field name="user_id" ref="base.user_demo"/>

            <field name="partner_ids" eval="[(6,0,[ref('base.partner_root'),ref('base.res_partner_4'),ref('base.res_partner_3')])]"/>

            <field name="name">Initial discussion</field>

            <field name="description">Discussion with partner for product.</field>

            <field name="categ_ids" eval="[(6,0,[ref('categ_meet3')])]"/>

            <field name="start" eval="time.strftime('%Y-%m-05 12:00:00')"/>

            <field name="stop" eval="time.strftime('%Y-%m-05 19:00:00')"/>

            <field name="allday" eval="False"/>

            <field name="duration" eval="7.0"/>

            <field name="state">draft</field>

        </record>

질문하기
Writer
태그
Keep Informed
4 팔로워
About This Community

This platform is for beginners and experts willing to share their Odoo knowledge. It's not a forum to discuss ideas, but a knowledge base of questions and their answers.

Register
Odoo Training Center

Access to our E-learning platform and experience all Odoo Apps through learning videos, exercises and Quizz.

Test it now